# Package com.sixlegs.png

Interface Summary
Interface | Description
--- | ---
SuggestedPalette | A suggested palette.
TextChunk | Common interface to all PNG text chunk data (`tEXt`, `zTXt`, `iTXt`).

Class Summary
Class | Description
--- | ---
PngConfig | Customizable parameters used by `PngImage` when decoding an image.
PngConfig.Builder | Builder class used to construct `PngConfig` instances.
PngConstants | This interface defines all registered chunk types and provides methods helper methods to examine them.
PngImage | A class to decode PNG images.

Exception Summary
Exception | Description
--- | ---
PngException | The superclass for all decoding exceptions.